﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using HeuristicLab.Common;
using HeuristicLab.Core;

namespace HeuristicLab.Clients.Hive.CloudManager.Model {
  public class Role : Item {
    public string RoleName { get; set; }
    public string OsVersion { get; set; }

    public Role() {

    }

    public Role(Role original, Cloner cloner) {
      this.RoleName = original.RoleName;
      this.OsVersion = original.OsVersion;
    }

    public override string ToString() {
      return string.Format("Role: Name={0}, OsVersion={1}", RoleName, OsVersion);
    }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new Role(this, cloner);
    }
  }
}
